package code;

import heap.Heap;

import java.util.Map;

import output.FileOutput;

public class CNNull extends CodeNode implements Expression{

	public CNNull(int i) {
		super(i);
	}

	public int typeCheck(Map types) {
		return POINTER; /* pointer */
	}

	public String out(FileOutput module) {
		return module.Null();
	}

	public int evaluate(Heap h) {
		return false_;
	}

	public boolean isPure() {
		return true;
	}
}
