package code;

import heap.Heap;

import java.util.Map;

import output.FileOutput;

public class CNVoid extends CodeNode implements Expression{
	
	public CNVoid(int i)
	{
		super(i);
	}
	
	public int typeCheck(Map types)
	{
		return BOOLEAN;
	}

	public String out(FileOutput module) {
		return "true";
	}
	
	public int evaluate(Heap h) {
		return double_;
	}

	public boolean isPure() {
		return false;
	}
	
        public boolean isVoid() {
	        return true;
        }


	public boolean equals(Object o)
	{
		if(o.getClass() != this.getClass())
			return false;
		return true;
	}
}
