package util;

import java.util.*;


public class MyPriorityQueue {
	private LinkedList list;
	
	public MyPriorityQueue()
	{
		list = new LinkedList();
	}
	
	public void add(Object o,int p)
	{
		list.add(new Element(p,o));
	}
	
	/**Returns the highest element.*/
	public Object get()
	{
		if(list.isEmpty())
			return null;
		
		int max = 0;
		int elmax = 0;
		Iterator i = list.iterator();
		while(i.hasNext())
		{
			Element e = (Element)i.next();
			if(e.getPriority() > max)
			{
				max = e.getPriority();
				elmax = list.indexOf(e);
			}
		}
		
		Element e = (Element)list.get(elmax);
		list.remove(e);
		return e;
	}
	
	public boolean isEmpty()
	{
		return list.isEmpty();
	}
	
}

