package code;
import heap.*;

public interface Statement {
	public static final int error 			= -1;
	public static final int asgn_xy 		= 0;
	public static final int asgn_xnull 		= 1;
	public static final int asgn_xnew 		= 2;
	public static final int asgn_xxnext 	= 3;
	public static final int asgn_xx 		= 4;
	public static final int asgn_xynext 	= 5;
	public static final int asgn_xnexty 	= 6;
	public static final int asgn_xnextnull 	= 7;
	public static final int asgn_xint 		= 8;
	
	public static final int if_				= 9;
	public static final int while_			= 10;
	public static final int program_		= 11;
	public static final int slist_			= 12;
	
	public Statement next();
	
	public void setNext(Statement s);
	
	public Statement next(boolean guard);
	
	public int instruction(Heap h);
	
	public static final int double_			= 13;
	public static final int true_			= 14;
	public static final int false_			= 15;
	
	public int next(Heap h);
	
}
